# Created by pyp2rpm-3.3.2
%global pypi_name django-contrib-comments

Name:           python-%{pypi_name}
Version:        2.2.0
Release:        %mkrel 5
Summary:        The code formerly known as django.contrib.comments
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/django-contrib-comments/
Source0:        %{pypi_source}
# fix tests
Patch:          https://github.com/django/django-contrib-comments/commit/36bd49060c58eb96e12e42eb098eb63ccaae848e.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(sphinx)

%description
Django used to include a comments framework; since Django 1.6 it's been
separated to a separate project. This is that project.

This framework can be used to attach comments to any model, so you can
use it for comments on blog entries, photos, book chapters, or anything
else.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}


%description -n python3-%{pypi_name}
Django used to include a comments framework; since Django 1.6 it's been
separated to a separate project. This is that project.

This framework can be used to attach comments to any model, so you can
use it for comments on blog entries, photos, book chapters, or anything
else.

%prep
%autosetup -n %{pypi_name}-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files django_comments

%check
PYTHONWARNINGS=default %{__python3} tests/runtests.py

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%doc html


%changelog
* Sun Mar 02 2025 wally <wally> 2.2.0-5.mga10
+ Revision: 2158112
- rebuild for python3.13

* Sun Feb 02 2025 papoteur <papoteur> 2.2.0-4.mga10
+ Revision: 2144580
- fix tests
- use pyproject macros

* Mon Jan 29 2024 papoteur <papoteur> 2.2.0-3.mga10
+ Revision: 2036156
- rebuild for python 3.12

* Tue Mar 29 2022 umeabot <umeabot> 2.2.0-2.mga9
+ Revision: 1833350
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 2.2.0-1.mga9
+ Revision: 1785158
- version 2.2.0
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 2.0.0-2.mga9
+ Revision: 1732347
- Rebuild for python 3.9

* Wed Mar 03 2021 guillomovitch <guillomovitch> 2.0.0-1.mga9
+ Revision: 1697480
- new version 2.0.0

* Sun Dec 13 2020 guillomovitch <guillomovitch> 1.9.2-2.mga8
+ Revision: 1656450
- fix build dependencies

* Thu Sep 17 2020 guillomovitch <guillomovitch> 1.9.2-1.mga8
+ Revision: 1627456
- new version 1.9.2

* Sun Feb 16 2020 umeabot <umeabot> 1.9.1-3.mga8
+ Revision: 1535093
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 1.9.1-2.mga8
+ Revision: 1451531
- rebuild with python 3.8

* Thu Aug 22 2019 wally <wally> 1.9.1-1.mga8
+ Revision: 1431256
- imported package python-django-contrib-comments

